unit form;

interface

uses
    Windows,
    Messages,
    SysUtils,
    Variants,
    Classes,
    Graphics,
    Controls,
    Forms,
    Dialogs,
    StdCtrls;

const
    cbVersion           =1; //Aus Kompatibilittsgrnden notwendig, NICHT ndern.

    cbComplete          =2; //Bedeutet, das der komplette Text im Editor ersetzt werden soll.
    cbSelection         =1; //Bedeutet, das nur der markierte Text im Editor ersetzt werden soll.
    cbCancel            =0; //Bedeutet, das die Aktionen des Plugins abgebrochen wurden und nichts im Editor gendert wird.

type
    TformMain=class(TForm)
        memoComplete: TMemo;
        memoSelection: TMemo;
        memoCallBack: TMemo;
        buttonComplete: TButton;
        buttonCancel: TButton;
        buttonSelection: TButton;
        labelCallBack: TLabel;
        labelSelection: TLabel;
        labelComplete: TLabel;
        labelSel: TLabel;
        procedure buttonCompleteClick(Sender: TObject);
        procedure buttonSelectionClick(Sender: TObject);
        procedure buttonCancelClick(Sender: TObject);
    end;

var
    formMain            : TformMain;
    callBackTyp         : Integer;
    callBackText        : string;

implementation

{$R *.dfm}

procedure TformMain.buttonCompleteClick(Sender: TObject);
begin
    callBackTyp:=cbComplete;
    callBackText:=memoCallBack.Lines.Text;
end;

procedure TformMain.buttonSelectionClick(Sender: TObject);
begin
    callBackTyp:=cbSelection;
    callBackText:=memoCallBack.Lines.Text;
end;

procedure TformMain.buttonCancelClick(Sender: TObject);
begin
    callBackTyp:=cbCancel;
    callBackText:=''
end;

end.
